package com.gic.haoban.manage.service.entity.chat;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:17:50
 * @Modify
 * @CopyRight 
 */
public class TabGroupChatPlanLog implements Serializable{

	private static final long serialVersionUID = 21625366526300L;
	
	private Long logId;
	private Long planId;
	private String wxEnterpriseId;
	private String staffId ;
	/**群id*/
	private Long groupChatId;
	private Integer sendStatus;
	/**群主记录id*/
	private Long ownLogId;
	private String remark;
	private java.util.Date sendTime;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	private String enterpriseId ;
	private Integer deleteFlag ;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public void setLogId(Long logId){
		this.logId = logId;
	}
	
	public Long getLogId(){
		return logId;
	}
	public void setPlanId(Long planId){
		this.planId = planId;
	}
	
	public Long getPlanId(){
		return planId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setGroupChatId(Long groupChatId){
		this.groupChatId = groupChatId;
	}
	
	public Long getGroupChatId(){
		return groupChatId;
	}
	public void setSendStatus(Integer sendStatus){
		this.sendStatus = sendStatus;
	}
	
	public Integer getSendStatus(){
		return sendStatus;
	}
	public void setOwnLogId(Long ownLogId){
		this.ownLogId = ownLogId;
	}
	
	public Long getOwnLogId(){
		return ownLogId;
	}
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return remark;
	}
	public void setSendTime(java.util.Date sendTime){
		this.sendTime = sendTime;
	}
	
	public java.util.Date getSendTime(){
		return sendTime;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
}